### Constructor

# Gtk ListViewnew

#### Declaration [src]

    GtkWidget*
    gtk_list_view_new (
      GtkSelectionModel* model,
      GtkListItemFactory* factory
    )

#### Description [src]

Creates a new `GtkListView` that uses the given `factory` for mapping items to widgets.

The function takes ownership of the arguments, so you can write code like

    list_view = gtk_list_view_new (create_model (),
      gtk_builder_list_item_factory_new_from_resource ("/resource.ui"));

#### Parameters

`model`

  Type: `GtkSelectionModel`

  The model to use.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`factory`

  Type: `GtkListItemFactory`

  The factory to populate items with.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

A new `GtkListView` using the given `model` and `factory`.

The data is owned by the called function.